---
title: scan
slug: Web/CSS/@media/scan
tags:
  - '@media'
  - CSS
  - Media Queries
  - Reference
  - media feature
---
<div>{{cssref}}</div>

<p>The <strong><code>scan</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> can be used to test the scanning process (if any) utilized by the output device. The word <em>scanning</em> used in this context does not refer to an image scanner, such as one used to digitize a photograph. Rather, it means the process by which an image is painted onto a television screen (or other device).</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>scan</code> feature is specified as a single keyword value chosen from the list below.</p>

<dl>
 <dt><code>interlace</code></dt>
 <dd>The device draws odd lines and even lines alternately. Some televisions use interlaced scanning.</dd>
 <dt><code>progressive</code></dt>
 <dd>The device draws all lines in sequence. All computer screens use progressive scanning.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;If your screen uses interlaced rendering, this text should
   be in a sans-serif font. If your screen uses progressive
   scanning, you should see a serif font.&lt;/p&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">p {
  font-family: cursive;
}

@media (scan: interlace) {
  p {
    font-family: sans-serif;
  }
}

@media (scan: progressive) {
  p {
    font-family: serif;
  }
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Media Queries', '#scan', 'scan')}}</td>
   <td>{{Spec2('CSS4 Media Queries')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Media Queries', '#scan', 'scan')}}</td>
   <td>{{Spec2('CSS3 Media Queries')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.scan")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries">Using Media Queries</a></li>
 <li><a href="/en-US/docs/Web/CSS/@media">@media</a></li>
</ul>
